[Geany] installation des plugins
#1

Bonjour,

J'ai essayé d'installer les plugins de l'éditeur Geany.

Il nous faut d'abord les packages suivants : autoconf-2.69p2 automake-1.15.1 intltool libtool

Ensuite, il nous faut cloner le dépôt :
Code :
git clone git://github.com/geany/geany-plugins.git

Puis direction le nouveau répertoire 'geany-plugins'...

Et, ensuite la phase d'installation :

Code :
$ export AUTOCONF_VERSION=2.69
$ export AUTOMAKE_VERSION=1.15
$ ./autogen.sh

Sauf que malheureusement, ça plantouille Sad

Code :
You should add the contents of '/usr/local/share/aclocal/intltool.m4' to 'aclocal.m4'.
autoreconf-2.69: Entering directory `.'
autoreconf-2.69: configure.ac: not using Gettext
autoreconf-2.69: running: aclocal --force -I build/cache -I build -I build/bundled -I geanypy/m4 --install
aclocal-1.15: installing 'build/cache/glib-gettext.m4' from '/usr/local/share/aclocal/glib-gettext.m4'
aclocal-1.15: installing 'build/cache/nls.m4' from '/usr/local/share/aclocal/nls.m4'
aclocal-1.15: installing 'build/cache/pkg.m4' from '/usr/local/share/aclocal/pkg.m4'
autoreconf-2.69: configure.ac: tracing
autoreconf-2.69: configure.ac: not using Libtool
autoreconf-2.69: running: /usr/local/bin/autoconf-2.69 --force
configure.ac:15: error: possibly undefined macro: AC_DISABLE_STATIC
     If this token and others are legitimate, please use m4_pattern_allow.
     See the Autoconf documentation.
configure.ac:16: error: possibly undefined macro: AC_PROG_LIBTOOL
autoreconf-2.69: /usr/local/bin/autoconf-2.69 failed with exit status: 1

Donc, à tord ou à raison, j'ai ouvert le bug #734 ! Wink

GPG:Fingerprint ed25519 : 072A 4DA2 8AFD 868D 74CF  9EA2 B85E 9ADA C377 5E8E
GPG:Fingerprint rsa4096 : 4E0D 4AF7 77F5 0FAE A35D  5B62 D0FF 7361 59BF 1733
Répondre
#2

Ok, après l'installation du package libtool, la phase de configuration s'exécute bien !
Celle de make pose problème !

???

GPG:Fingerprint ed25519 : 072A 4DA2 8AFD 868D 74CF  9EA2 B85E 9ADA C377 5E8E
GPG:Fingerprint rsa4096 : 4E0D 4AF7 77F5 0FAE A35D  5B62 D0FF 7361 59BF 1733
Répondre
#3

Une des réponses de ce 'matin' est celle-ci :
Citation :You need a C++ compiler with C++11 support, so probably GCC 4.8.1 or Clang 3.3 or later.

Là, j'avoue, je suis un peu perdu !
Je ne sais ce qu'il en est avec OpenBSD.

GPG:Fingerprint ed25519 : 072A 4DA2 8AFD 868D 74CF  9EA2 B85E 9ADA C377 5E8E
GPG:Fingerprint rsa4096 : 4E0D 4AF7 77F5 0FAE A35D  5B62 D0FF 7361 59BF 1733
Répondre
#4

Sur une 6.3 :
Code :
clang++ -v
OpenBSD clang version 5.0.1 (tags/RELEASE_501/final) (based on LLVM 5.0.1)
Répondre
#5

Sur 6.2 :

Code :
$ clang++ -v
OpenBSD clang version 4.0.0 (tags/RELEASE_400/final) (based on LLVM 4.0.0)
Target: amd64-unknown-openbsd6.2
Thread model: posix
InstalledDir: /usr/bin

Et, pour G++, stp @thuban !?

GPG:Fingerprint ed25519 : 072A 4DA2 8AFD 868D 74CF  9EA2 B85E 9ADA C377 5E8E
GPG:Fingerprint rsa4096 : 4E0D 4AF7 77F5 0FAE A35D  5B62 D0FF 7361 59BF 1733
Répondre
#6

Et voilà monseigneur Smile
Code :
g++ -v
Reading specs from /usr/lib/gcc-lib/amd64-unknown-openbsd6.3/4.2.1/specs
Target: amd64-unknown-openbsd6.3
Configured with: OpenBSD/amd64 system compiler
Thread model: posix
gcc version 4.2.1 20070719
Mais en cas de doute, t' as tout de précisé ici : http://www.openbsd.org/62.html
et là : http://www.openbsd.org/63.html
Répondre
#7

Merci @thuban. J'apprécie Big Grin

GPG:Fingerprint ed25519 : 072A 4DA2 8AFD 868D 74CF  9EA2 B85E 9ADA C377 5E8E
GPG:Fingerprint rsa4096 : 4E0D 4AF7 77F5 0FAE A35D  5B62 D0FF 7361 59BF 1733
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)